Subject: Re: Zsh on Ubuntu on Windows
From: Tyler James Leonhardt <[email-masked]>
To: Jérémie Roquet <[email-masked]>
Cc: "Zsh Hackers' List" <[email-masked]>
Date: Sat, 23 Apr 2016 13:29:12 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

> As I understand it, Ubuntu on Windows is literally “Ubuntu on Windows”
> so, as Zsh is working like a charm on Ubuntu, I guess it’s working as
> well on “Ubuntu on Windows” without any change. But I may be mistaken.

Unfortunately, it hasn’t been working. I’m not sure if this is a zsh issue
or if Microsoft’s subsystem for Ubuntu is just acting up. I found this
issue on the oh-my-zsh repo:

https://github.com/robbyrussell/oh-my-zsh/issues/4984

I’m not sure if that helps at all. I was getting the same error.

I’ll take a look at MSYS! As for “Ubuntu on Windows” I have a feeling the
future is looking bright!

Let me know what you think.

Cheers,

Tyler

On Sat, Apr 23, 2016 at 9:18 AM Jérémie Roquet <[email-masked]>
wrote:

> Hello Tyler,
>
> 2016-04-23 14:51 GMT+02:00 Tyler James Leonhardt <[email-masked]>:
> > Is support for zsh on Ubuntu on Windows in the works? Zsh being available
> > on Linux, Mac and Windows would be incredible.
>
> As I understand it, Ubuntu on Windows is literally “Ubuntu on Windows”
> so, as Zsh is working like a charm on Ubuntu, I guess it's working as
> well on “Ubuntu on Windows” without any change. But I may be mistaken.
>
> > I love zsh so much on my MacBook Pro and now that Ubuntu on Windows is a
> > thing, zsh on Ubuntu on Windows can finally be a thing.
>
> Zsh on Windows has been working great for years without Ubuntu; you
> might want to try MSYS2¹, which is basically “Arch within Windows”.
> I'm using Zsh in it to do “Windows stuff“ and it works as well as one
> could hope. On the other hand, I've been told (but haven't tried
> myself) that the current build of Windows 10 only allows you to do
> “Ubuntu stuff” on your “Ubuntu on Windows” (ie. you can't run Windows
> programs) which for me kinds of defeat the purpose of having Zsh on
> Windows (but I guess it will improve very soon).
>
> Best regards,
>
> ¹ https://msys2.github.io/
>
> --
> Jérémie
>